@charset "UTF-8";
  /*----------------*/
 /*-----BASICS-----*/
/*----------------*/
html {
  font-size: 20px;
  width: 100%;
  height: 100%;
}

body {
  background-color: black;
  color: white;
  font-family: 'Merriweather', serif;
  width: 100%;
  height: 100%;
  letter-spacing: 0.01rem;
  padding: 0;
  margin: 0;
}

h1 {
  font-size: 2.5em;
  font-weight: 400;
  margin-top: 0;
  line-height: 1;
}

h1 small {
  font-size: 60%;
  font-weight: 100;
}

h2 {
  font-size: 1.5em;
  font-weight: 700;
}

dt {
  margin-bottom: 1em;
}

dd {
  font-weight: normal;
  margin-left: 0;
}

p, dd {
  line-height: 1.5em;
}

li {
  margin-bottom: 1em;
}

strong {
  color:yellow;
  font-weight: bold;
}

em {
  font-weight: 300;
}

.italic {
  font-style: italic;
}

#start-form {
  font-size: 20px;
  font-weight: 700;
  margin: 6em 0 0;
  text-align: right;
}

#page-status-tutorial input {
  background-color: #444;
  border-color: yellow;
  border-style: none;
  border-width: 3px 3px 3px 3px;
  color: white;
  font-family: 'Merriweather', serif;
  font-weight: 700;
  font-size: 1.5em;
  margin-left: 2em;
  padding: 10px;
  margin-right: 20px;
  width: auto;
  max-width: 30%;
}

.button {
  background-color: #222;
  border-color: yellow;
  border-style: solid;
  border-width: 3px 3px 3px 3px;
  color: white;
  cursor: pointer;
  font-family: 'Merriweather', serif;
  font-weight: 700;
  font-size: 1em;
  padding: 10px;
  text-decoration: none;
}

button:hover {

}

button:focus {
  outline: none;
}

input[type="checkbox"] {
  margin: 0 0.6em 0 0;
  position: relative;
  top: 2px;
}

#imprint-link, #accessibility-link {
  /*border-bottom: 2px solid yellow;*/
  color: yellow;
  font-size: .8em;
  text-decoration: none;
  position: absolute;
  bottom: 40px;
  right: 15px;
}

  /*----------------*/
 /*-----LAYOUT-----*/
/*----------------*/
#page-content {
  width: 50%;
  margin: auto;
  position: relative;
  top: 25%;
}

 /*-----Tutorial Layout-----*/
#experiment-toggleWTF-checkbox {
  display: none;
}

#page-status-tutorial {
  background-color: #222;
  border-color: yellow;
  border-style: solid;
  border-width: 3px 3px 3px 0;
  display: inline-block;
  width: 216px;
  position: absolute;
  left: 0;
  top: 150px;
  transform: scale(0.7);
  transform-origin: 0% 0%;
  transition: width 0.3s ease;
}

#page-status-tutorial h2 {
  margin: 10px;
  width: 102px;
  height: 36px;
  position: relative;
  transition: width 0.3s ease;
}

#tut-questionmark {
  position: absolute;
  top: 0;
  right: 0;
}

#page-status-tutorial p {
  display: none;
  margin: 1em;
}

#page-status-tutorial ol {
  display: none;
  margin: 1em;
  padding-left: 1em;
  list-style: none;
}

#page-status-tutorial li:first-line {
  color: yellow;
}

#page-status-tutorial input, #page-status-tutorial button {
  display: none;
}

#button-GO {
  margin: 2em auto 0;
  padding: 0.5em 3em;
}

 /*-----Tutorial Layout Hovered-----*/
#experiment-toggleWTF-checkbox:checked ~ #page-status-tutorial {
  border-width: 3px;
  width: 70%;
  height: 60%;
  padding: 2em;
  outline: none;
  overflow: auto;
  position: absolute;
  left: 15%;
  top: 15%;
  transform: scale(1);
  transition: all 0.3s ease;
}

#experiment-toggleWTF-checkbox:checked ~ #page-status-tutorial h2 {
  font-weight: 700;
  width: 465px;
  transition: width 0.3s ease;
}

#experiment-toggleWTF-checkbox:checked ~ #page-status-tutorial p, #experiment-toggleWTF-checkbox:checked ~ #page-status-tutorial input, #experiment-toggleWTF-checkbox:checked ~ #page-status-tutorial ol, #experiment-toggleWTF-checkbox:checked ~ #page-status-tutorial button {
  display: block;
}

/*-----Status-----*/
#page-status-wait {
  background-color: #222;
  border-color: yellow;
  border-style: solid;
  border-width: 3px 3px 3px 0;
  display: inline-block;
  height: 56px;
  position: absolute;
  left: 0;
  top: 250px;
  transform: scale(0.7);
  transform-origin: 0% 0%;
}

#page-status-wait h2 {
  margin: 10px;
  height: 36px;
  position: relative;
  transition: width 0.3s ease;
}

#page-status-draw {
  background-color: #222;
  border-color: yellow;
  border-style: solid;
  border-width: 3px 3px 3px 0;
  display: inline-block;
  height: 56px;
  position: absolute;
  left: 0;
  top: 350px;
  transform: scale(0.7);
  transform-origin: 0% 0%;
}

#page-status-draw h2 {
  margin: 10px;
  height: 36px;
  position: relative;
  transition: width 0.3s ease;
}

/*-----Finished Layout-----*/
#experiment-toggleFinish-checkbox {
  display: none;
}

#page-status-finish {
  background-color: #222;
  border-color: yellow;
  border-style: solid;
  border-width: 3px 3px 3px 0;
  display: inline-block;
  width: 187px;
  height: 56px;
  overflow: hidden;
  position: absolute;
  left: 0;
  top: 450px;
  transform: scale(0.7);
  transform-origin: 0% 0%;
  transition: width 0.3s ease;
}

#page-status-finish h2 {
  cursor: pointer;
  margin: 10px;
  width: 167px;
  height: 36px;
  position: relative;
  transition: width 0.3s ease;
}

#page-status-finish p {
  margin: 1em;
}

#button-finish {
  filter: saturate(0%);
  transform: scale(0.6);
}

 /*-----finish Layout Focused-----*/
#experiment-toggleFinish-checkbox:checked ~ #page-status-finish {
  border-width: 3px;
  width: 70%;
  height: auto;
  max-height: 85%;
  outline: none;
  overflow: auto;
  padding: 2em;
  position: absolute;
  left: 15%;
  top: 15%;
  transform: scale(1);
  transition: all 0.3s ease;
}

#experiment-toggleFinish-checkbox:checked ~ #page-status-finish h2 {
  font-weight: 700;
  width: 465px;
  transition: width 0.3s ease;
}

#experiment-toggleFinish-checkbox:checked ~ #page-status-finish {
  border-width: 3px;
  width: 70%;
  height: auto;
  max-height: 85%;
  outline: none;
  overflow: auto;
  padding: 2em;
  position: absolute;
  left: 15%;
  top: 15%;
  transform: scale(1);
  transition: all 0.3s ease;
}

#experiment-toggleFinish-checkbox:checked ~ #page-status-finish h2 {
  font-weight: 700;
  width: 465px;
  transition: width 0.3s ease;
}

#button-next {
  border-color: yellow;
}

.center-buttons {
  text-align: center
}

 /*-----Options Layout-----*/
input[type=number]::-webkit-inner-spin-button,
input[type=number]::-webkit-outer-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

#index-toggleOptions-container {
  position: absolute;
  bottom: 15px;
  left: 15px;
}

#index-toggleOptions-label {
  background-image: url(img/tachistoscope-icon-gears.svg);
  background-position: center center;
  background-repeat: no-repeat;
  background-size: 80%  ;
  border-color: yellow;
  border-style: solid;
  border-width: 3px 3px 3px 3px;
  box-sizing: border-box;
  cursor: pointer;
  display: inline-block;
  width: 50px;
  height: 50px;
  vertical-align: middle;
}

#index-optionsLabel-text {
  display: inline-block;
  margin-left: 10px;
  vertical-align: middle;
}

#index-toggleOptions-checkbox {
  display: none;
}

#index-toggleOptions-submit {
  display: inline-block;
}

#index-toggleOptions-checkbox:checked~#page-aside {
  display: block;
  opacity: 1;
  transition: opacity 0.3s ease;
}

#page-aside {
  background-color: #222;
  border-color: yellow;
  border-style: solid;
  border-width: 3px 3px 3px 3px;
  display: none;
  padding: 2.5em;
  opacity: 0;
  overflow: hidden;
  position: absolute;
  left: 65px;
  bottom: 65px;
  transition: opacity 0.3s ease;
}

#index-options-form {
  font-family: Arial, sans-serif;
  font-size: 80%;
}

#index-options-form h2 {
  font-family: 'Merriweather', serif;
  margin: 0 0 1.5em;
}

#index-options-form p {
  margin-bottom: 1em;
}


#page-aside p input {
  background-color: #444;
  color: white;
  font-size: 14px;
  margin: 2px 10px;
  padding: 5px;
  border: none;
}

#page-aside p input[type="range"] {
  position: relative;
  top: 12px;
}

#page-aside #input-respond-countdown {
  display: inline;
  width: 50px;
  margin-right: 5px;
  text-align: right;
}

#page-aside input#viewtime {
  width: 60px;
  text-align: right;
}

#page-aside input#picture {
  margin-left: 0;
  width: 100%;
}

 #page-aside fieldset {
  margin: 0 0 40px 0;
  padding: 10px;
}

form span[class^=input-respond] {
  font-family: Arial;
}

span[class^=float] {
  display: block;
  width: 100px;
}

.float-left {
  float: left;
}

.float-right {
  float: right;
}

.float-last {
  margin: auto;
}

#aspect-ratio-preview {
  background-color: #333;
  background-position: center center;
  background-repeat: no-repeat;
  background-size: contain;
  border: 1px solid white;
  width: 100%;
  margin-top: 1em;
  padding-top: 66.666%;
  position: relative;
}

div[id^="preview"] {
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
}

#preview-grid {
  background-image: url(img/tachistoscope-grid-white.svg);
  background-position: center center;
  opacity: 0;
}

#preview-marker {
  background-image: url(img/tachistoscope-marker-white.svg);
  background-position: center center;
  background-repeat: no-repeat;
  background-size: 5%;
  opacity: 0;
}

#options-form-submit {
  background: transparent;
  border: 2px solid yellow;
  color: white;
  cursor: pointer;
  display: block;
  float: right;
  font-size: inherit;
  padding: 5px 30px;
}



  /*--------------------*/
 /*-----Experiment-----*/
/*--------------------*/
#wrapper {
  background: #b1b2b3;
  border: 3px solid transparent;
  position: absolute;
}

#wrapper img {
  display: block;
  margin: auto;
  opacity: 0;
}

#wrapper canvas {
  /*background-color: transparent;*/
  background-color: #b1b2b3;
  cursor: url("img/cursor-paint.png"), crosshair;
  display: none;
  position: absolute;
  top: 0;
  left: 0;
}

#page-experiment main .button {
  position: fixed;
  bottom: 15%;
  right: 4%;
}

#grid-holder {
  width: 100%;
  height: 100%;
  position: absolute;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
}

.theGrid {
  border: 1px solid transparent;
  box-sizing: border-box;
  float: left;
  width: 33.333%;
  height: 33.333%;
  z-index: 500;
}

.theGrid:nth-child(5) {
  background-image: none;
  background-position: center center;
  background-repeat: no-repeat;
  background-size: 10%;
  z-index: 501;
}




  /*-----------------*/
 /*-----Results-----*/
/*-----------------*/
#page-results .theGrid {
  border: 1px solid white;
}

#theMarker {
  background-image: url(img/tachistoscope-marker-white.svg);
  background-repeat: no-repeat;
  background-position: center center;
  background-size: 3  0%;
}

img[id^=drawing] {
  border: 3px solid white;
  border:none;
}

#page-results #page-header {
  margin-bottom: 3em;
}

#page-header h1 {
  font-size: 20px;
}

.tpd-restart-link {
  color:grey;
}

#page-results #results-options-form fieldset {
  box-sizing: border-box;
  display: inline-block;
  margin: 0 4em 0 0;
  width: auto;
}

#page-results #results-options-form fieldset span {
  display: inline-block;
  margin-right: 2em;
}

#page-results #results-options-form fieldset span:last-child {
  margin-right: 0;
}

#result-page-content {
  background: #b1b2b3;
  position: absolute;
}

#result-page-content #grid-holder {
  display: none;
}

#page-results img {
  position: absolute;
}

#original {
  transition: 1s opacity;
}

#drawing-list {
  background: #333;
  border: 3px solid yellow;
  box-sizing: border-box;
  display: block;
  font-size: 77%;
  opacity: 1;
  padding: 10px;
  position: absolute;
  right: 10px;
  top: 10px;
  width: 200px;
}

#drawing-list h2 {
  margin: 0;
}

  /*/////////////////*/
 /*////IMPRESSUM////*/
/*/////////////////*/

.impressum-mail {
  color: yellow;
  text-decoration: none;
}

.impressum-mail:hover {
  border-bottom: 2px solid yellow;
}
